/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\labyrinth\mobiles\MinotaurScout.cs
Lines of code: 88
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a Minotaur Scout" )]
	public class MinotaurScout : BaseCreature
	{	
	
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 2 ) )
			{
			default:				
			case 0: return WeaponAbility.Dismount;
			case 1: return WeaponAbility.ConcussionBlow;
			}
		}	

		[Constructable]
		public MinotaurScout() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.16, 0.20 )
		{
			Name = "a Minotaur Scout";
			Body = 281;
			BaseSoundID = 120;

			SetStr( 353, 357 );
			SetDex( 111, 130 );
			SetInt( 34, 50 );
			
			SetHits( 354, 383 );
			SetStam( 111, 130 );
			SetMana( 34, 50 );
			
			SetDamage( 16, 27 );

			SetDamageType( ResistanceType.Physical, 100 );
	
			//default resists
			SetResistance( ResistanceType.Physical, 55, 64 );
			SetResistance( ResistanceType.Fire, 25, 34 );
			SetResistance( ResistanceType.Cold, 30, 40 );
			SetResistance( ResistanceType.Poison, 30, 40 );
			SetResistance( ResistanceType.Energy, 30, 38 );
			
			//default skills			
			SetSkill( SkillName.MagicResist, 60.6, 67.5 );
			SetSkill( SkillName.Tactics, 86.9, 103.6 );
			SetSkill( SkillName.Wrestling, 85.6, 104.5 );
			SetSkill( SkillName.DetectHidden, 140.0, 160.0 );

			Fame = 9500;
			Karma = -95500;

			VirtualArmor = 20;
		
		}
		
		public override int GetAngerSound()
		{
			return 1016;
		}

		public override int GetIdleSound()
		{
			return 1018;
		}

		public override int GetAttackSound()
		{
			return 1017;
		}

		public override int GetHurtSound()
		{
			return 1019;
		}

		public override int GetDeathSound()
		{
			return 1020;
		}		

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Meager );
		}

		public override int Meat{ get{ return 4; } }
		public override int Hides{ get{ return 12; } }
		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies; } }
		public override bool IsMLCreature { get { return true;} } 


		public MinotaurScout(Serial serial) : base(serial)
		{
		}

	
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 ); // version

		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
		}
	}
}ÿ